千米云公告 > 公告详情

【安全通告】Redis远程代码执行漏洞风险通告(CVE-2021-32761)

发布时间:2021-08-17 22:49:45

尊敬的千米云用户,您好!

近日,千米云安全运营中心监测到,Redis官方发布安全公告,公告提示其32位版本存在远程代码执行漏洞。漏洞编号CVE-2021-32761
为避免您的业务受影响,千米云安全建议您及时开展安全自查,如在受影响范围,请您及时进行更新修复,避免被外部攻击者入侵。
漏洞详情
Redis是一套开源的使用ANSI C编写、支持网络、可基于内存亦可持久化的日志型、键值(Key-Value)存储数据库,并提供多种语言的API。
公告称,Redis存在远程代码执行漏洞,攻击者可利用漏洞通过*BIT*命令与proto-max-bulk-len配置参数结合的情况下,可攻击运行在32位的系统中的32位的Redis程序,该漏洞能够造成整形溢出,并最终导致远程代码执行。
风险等级
漏洞风险
攻击者可利用该漏洞导致执行任意代码等风险
影响版本

Redis >=2.2,<5.0.13
Redis >=2.2,<6.0.15
Redis >=2.2,<6.2.5

安全版本

Redis >= 5.0.13
Redis >= 6.0.15
Redis >= 6.2.5

修复建议
官方已发布安全更新,请及时更新至官方最新版本。
【备注】:建议您在升级前做好数据备份工作,避免出现意外
漏洞参考

https://github.com/redis/redis/security/advisories/GHSA-8wxq-j7rp-g8wj


/template/Home/qcloud/PC/Static